#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=odoo-bin
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/point_of_sale/static/src/fonts/Inconsolata.otf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.ttf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.eot
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.woff
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.woff2
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/FontAwesome.otf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.ttf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.eot
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.woff
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.woff2

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/oca-core/usr/lib/python3/dist-packages/odoo/addons/l10n_ro/data/res.bank.csv

override_dh_gencontrol:
	debian/create-addons-list
	dh_gencontrol -- -Vodoo-addons-Provides="$$(cat debian/addons-list)"
